org.apache.xerces.impl.xs

## Class XSOpenContentDecl

- java.lang.Object
- - org.apache.xerces.impl.xs.XSOpenContentDecl

- All Implemented Interfaces:
    org.apache.xerces.xs.XSObject, org.apache.xerces.xs.XSOpenContent

      public class XSOpenContentDecl
      extends java.lang.Object
      implements org.apache.xerces.xs.XSOpenContent

  The XML representation for an openContent declaration either an <openContent> or a <defaultOpenContent>
  Version:
    $Id: XSOpenContentDecl.java 695518 2008-09-15 16:00:36Z knoaman $
  Author:
    Khaled Noaman, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `fAppliesToEmpty`
    `short` | `fMode`
    `XSWildcardDecl` | `fWildcard`

    - ### Fields inherited from interface org.apache.xerces.xs.XSOpenContent

      `MODE_INTERLEAVE, MODE_NONE, MODE_SUFFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSOpenContentDecl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `appliesToEmpty()` A flag that indicates whether a default open content is applied when the content type of a complex type declaration is empty
    `short` | `getModeType()` A mode type: none, interleave, suffix.
    `java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
    `java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
    `org.apache.xerces.xs.XSNamespaceItem` | `getNamespaceItem()` A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
    `short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.
    `org.apache.xerces.xs.XSWildcard` | `getWildcard()` A wildcard declaration
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fMode

          public short fMode

    - #### fAppliesToEmpty

          public boolean fAppliesToEmpty

    - #### fWildcard

          public XSWildcardDecl fWildcard

  - ### Constructor Detail

    - #### XSOpenContentDecl

          public XSOpenContentDecl()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getType

          public short getType()

      Get the type of the object, i.e ELEMENT_DECLARATION.
      Specified by:
        `getType` in interface `org.apache.xerces.xs.XSObject`

    - #### getName

          public java.lang.String getName()

      The `name` of this `XSObject` depending on the `XSObject` type.
      Specified by:
        `getName` in interface `org.apache.xerces.xs.XSObject`

    - #### getNamespace

          public java.lang.String getNamespace()

      The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.
      Specified by:
        `getNamespace` in interface `org.apache.xerces.xs.XSObject`

    - #### getNamespaceItem

          public org.apache.xerces.xs.XSNamespaceItem getNamespaceItem()

      Description copied from interface: `org.apache.xerces.xs.XSObject`
      A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
      Specified by:
        `getNamespaceItem` in interface `org.apache.xerces.xs.XSObject`
      See Also:
        `XSObject.getNamespaceItem()`

    - #### getModeType

          public short getModeType()

      A mode type: none, interleave, suffix.
      Specified by:
        `getModeType` in interface `org.apache.xerces.xs.XSOpenContent`

    - #### getWildcard

          public org.apache.xerces.xs.XSWildcard getWildcard()

      A wildcard declaration
      Specified by:
        `getWildcard` in interface `org.apache.xerces.xs.XSOpenContent`

    - #### appliesToEmpty

          public boolean appliesToEmpty()

      A flag that indicates whether a default open content is applied when the content type of a complex type declaration is empty
      Specified by:
        `appliesToEmpty` in interface `org.apache.xerces.xs.XSOpenContent`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.